Skip to main content
PATCH
/
api
/
v1
/
repositories
/
{repo_name}
/
tags
/
{tag_name}
cURL
curl --request PATCH \
  --url https://api.example.com/api/v1/repositories/{repo_name}/tags/{tag_name} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "commit_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "description": "<string>"
}
'
{
  "error": "<string>",
  "success": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

repo_name
string
required

Repository name

tag_name
string
required

Tag name

Body

application/json

Request body for PATCH /api/v1/repositories/{repo_name}/tags/{tag_name}

commit_id
string<uuid> | null

Optional new commit ID to move the tag to

description
string | null

Optional new description for the tag. Send null to clear.

Response

Tag updated